{% extends "bases/error.html" %}
{% load i18n %}
{% block extra_head %}
<script
  src="https://browser.sentry-cdn.com/6.17.9/bundle.min.js"
  integrity="sha384-sWRfNPHLQLDncTChkdfvjQjDOGqlsBrDsg9t4jHqMvGTh4HZtjKgDMcyKR0R+GMP"
  crossorigin="anonymous"
></script>
<script>
function showErrorReport() {
  Sentry.init({ dsn: "{{ SENTRY_DSN }}", environment: "{{ ENVIRONMENT }}" });
  {% if request.user.is_authenticated %}
    user = {
      "email": "{{ request.user.email }}"
    };
  {% else %}
    user = {};
  {% endif %}
  Sentry.showReportDialog({
    eventId: "{{ last_event_id }}",
    user: user
  });
}
</script>
{% endblock %}
{% block page_title %}{% translate "Internal Error" %}{% endblock %}
{% block breadcrumbs %}
  <li class="breadcrumb-item">{% translate "Internal Error" %}</li>
{% endblock %}
{% block error_content %}
<div class="text-center">
  <h1 class="display-2 font-weight-bold"><i class="fas fa-exclamation-triangle"></i>{% translate "Internal Error" %}</h1>
  <p class="h1">{% translate "The server encountered an error processing your request." %}</p>
  <a href="{% url 'home' %}" class="btn btn-default btn-lg">Home</a>
  {% if last_event_id %}
    <a href="javascript:showErrorReport();" class="btn btn-primary btn-lg">{% translate "Report Error" %}</a>
  {% else %}
    <a href="/support" class="btn btn-default btn-lg">{% translate "Contact Support" %}</a>
  {% endif %}
</div>
{% endblock %}
